Subject: You do not call, do not write, I do not know what to think!

From: Svetlana <[email-masked]>
Date: Wed, 27 Jan 2010 04:15:11 -0800 (PST)

Hi - I'm the girl in a pink jacket with the inscription Russia, remember me?
Click here